You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     r...@rosstimson.com
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/mail/notmuch/Makefile 327742 2013-09-20 
19:59:12Z bapt $
Log URL:        
http://beefy1.isc.freebsd.org/bulk/head-i386-default/2013-10-17_19h54m49s/logs/notmuch-0.15.2_1.log
Build URL:      
http://beefy1.isc.freebsd.org/bulk/head-i386-default/2013-10-17_19h54m49s
Log:

====>> Building mail/notmuch
build started at Fri Oct 18 04:53:24 UTC 2013
port directory: /usr/ports/mail/notmuch
building for: FreeBSD head-i386-default-job-09 11.0-CURRENT FreeBSD 
11.0-CURRENT r256430 i386
maintained by: r...@rosstimson.com
Makefile ident:      $FreeBSD: head/mail/notmuch/Makefile 327742 2013-09-20 
19:59:12Z bapt $
Poudriere version: 3.1-pre

---Begin Environment---
UNAME_m=i386
UNAME_p=i386
OSVERSION=1100000
UNAME_v=FreeBSD 11.0-CURRENT r256430
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/head-i386-default/ref
PKG_EXT=txz
tpid=91236
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=notmuch-0.15.2_1
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/root
MASTERNAME=head-i386-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
--prefix=/usr/local --mandir=/usr/local/man
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" PKG_CONFIG=pkgconf MAKE=gmake SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local 
 LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe -fno-strict-aliasing"  CPP="cpp" 
CPPFLAGS=""  LDFLAGS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 
555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/notmuch
DOCSDIR=/usr/local/share/doc/notmuch
EXAMPLESDIR=/usr/local/share/examples/notmuch
WWWDIR=/usr/local/www/notmuch
ETCDIR=/usr/local/etc/notmuch
--End SUB_LIST--

---Begin make.conf---
ARCH=i386
MACHINE=i386
MACHINE_ARCH=i386
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for notmuch-0.15.2_1
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   notmuch-0.15.2_1 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_8.txz
Installing pkg-1.1.4_8... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of notmuch-0.15.2_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by notmuch-0.15.2_1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by notmuch-0.15.2_1 for building
=> SHA256 Checksum OK for notmuch-0.15.2.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by notmuch-0.15.2_1 for building
===>  Extracting for notmuch-0.15.2_1
=> SHA256 Checksum OK for notmuch-0.15.2.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for notmuch-0.15.2_1
===========================================================================
=======================<phase: build-depends  >============================
===>   notmuch-0.15.2_1 depends on executable: pkgconf - not found
===>    Verifying install for pkgconf in /usr/ports/devel/pkgconf
===>   Installing existing package /packages/All/pkgconf-0.9.3.txz
Installing pkgconf-0.9.3... done
===>   Returning to build of notmuch-0.15.2_1
===>   notmuch-0.15.2_1 depends on executable: gmake - not found
===>    Verifying install for gmake in /usr/ports/devel/gmake
===>   Installing existing package /packages/All/gmake-3.82_1.txz
Installing gmake-3.82_1...Installing gettext-0.18.3.1... done
 done
===>   Returning to build of notmuch-0.15.2_1
===========================================================================
=======================<phase: lib-depends    >============================
===>   notmuch-0.15.2_1 depends on shared library: gmime-2.4 - not found
===>    Verifying install for gmime-2.4 in /usr/ports/mail/gmime24
===>   Installing existing package /packages/All/gmime-24-2.4.33.txz
Installing gmime-24-2.4.33...Installing python27-2.7.5_3... done
Installing python2-2_1... done
Installing python-2.7_1,2... done
Installing perl-5.14.4_2...Removing /usr/local/etc/perl5_version... Done.
Creating /usr/local/etc/perl5_version... Done.
Removing stale symlinks from /usr/bin...
    Skipping /usr/bin/perl
    Skipping /usr/bin/perl5
Done.
Creating various symlinks in /usr/bin...
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl5
Done.
 done
Installing pcre-8.33... done
Installing libffi-3.0.13... done
Installing glib-2.36.3...No schema files found: doing nothing.
 done
 done
====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====
===>   Returning to build of notmuch-0.15.2_1
===>   notmuch-0.15.2_1 depends on shared library: xapian - not found
===>    Verifying install for xapian in /usr/ports/databases/xapian-core
===>   Installing existing package /packages/All/xapian-core-1.2.15,1.txz
Installing xapian-core-1.2.15,1... done
===>   Returning to build of notmuch-0.15.2_1
===>   notmuch-0.15.2_1 depends on shared library: talloc - not found
===>    Verifying install for talloc in /usr/ports/devel/talloc
===>   Installing existing package /packages/All/talloc-2.0.8.txz
Installing talloc-2.0.8... done
===>   Returning to build of notmuch-0.15.2_1
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for notmuch-0.15.2_1
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/mail/notmuch/work/notmuch-0.15.2/configure
Welcome to Notmuch, a system for indexing, searching and tagging your email.

We hope that the process of building and installing notmuch is quick
and smooth so that you can soon be reading and processing your email
more efficiently than ever.

If anything goes wrong in the configure process, you can override any
decisions it makes by manually editing the Makefile.config file that
it creates. Also please do as much as you can to figure out what could
be different on your machine compared to those of the notmuch
developers. Then, please email those details to the Notmuch list
(notm...@notmuchmail.org) so that we can hopefully make future
versions of notmuch easier for you to use.

We'll now investigate your system to verify that all required
dependencies are available:

Checking for Xapian development files... Yes (1.2.15).
Checking for GMime development files... Yes (gmime-2.4 ).
Checking for Glib development files (>= 2.22)... Yes.
Checking for talloc development files... Yes.
Checking for valgrind development files... No (but that's fine).
Checking if emacs is available... No (so will not byte-compile emacs code)
Checking which platform we are on... FreeBSD.
Checking for getline... Yes.
Checking for strcasestr... Yes.
Checking for rpath support... Yes.
Checking for -Wl,--as-needed... Yes.
Checking for available C++ compiler warning flags... 
        -Wall -Wextra -Wwrite-strings
Checking for available C compiler warning flags... 
        -Wall -Wextra -Wwrite-strings -Wmissing-declarations

All required packages were found. You may now run the following
commands to compile and install notmuch:

        make
        sudo make install

===========================================================================
=======================<phase: build          >============================
===>  Building for notmuch-0.15.2_1
gmake[1]: Entering directory 
`/wrkdirs/usr/ports/mail/notmuch/work/notmuch-0.15.2'
Use "gmake V=1" to see the verbose compile lines.
CC -O2 -pipe -fno-strict-aliasing command-line-arguments.o
CC -O2 -pipe -fno-strict-aliasing debugger.o
CC -O2 -pipe -fno-strict-aliasing gmime-filter-reply.o
CC -O2 -pipe -fno-strict-aliasing gmime-filter-headers.o
CC -O2 -pipe -fno-strict-aliasing hooks.o
CC -O2 -pipe -fno-strict-aliasing notmuch.o
notmuch.c:272:5: warning: 'g_type_init' is deprecated 
[-Wdeprecated-declarations]
    g_type_init ();
    ^
/usr/local/include/glib-2.0/gobject/gtype.h:669:23: note: 'g_type_init' 
declared here
void                  g_type_init                    (void);
                      ^
1 warning generated.
CC -O2 -pipe -fno-strict-aliasing notmuch-config.o
CC -O2 -pipe -fno-strict-aliasing notmuch-count.o
CC -O2 -pipe -fno-strict-aliasing notmuch-dump.o
CC -O2 -pipe -fno-strict-aliasing notmuch-new.o
CC -O2 -pipe -fno-strict-aliasing notmuch-reply.o
CC -O2 -pipe -fno-strict-aliasing notmuch-restore.o
CC -O2 -pipe -fno-strict-aliasing notmuch-search.o
CC -O2 -pipe -fno-strict-aliasing notmuch-setup.o
CC -O2 -pipe -fno-strict-aliasing notmuch-show.o
CC -O2 -pipe -fno-strict-aliasing notmuch-tag.o
CC -O2 -pipe -fno-strict-aliasing notmuch-time.o
CC -O2 -pipe -fno-strict-aliasing sprinter-json.o
CC -O2 -pipe -fno-strict-aliasing sprinter-sexp.o
CC -O2 -pipe -fno-strict-aliasing sprinter-text.o
CC -O2 -pipe -fno-strict-aliasing query-string.o
CC -O2 -pipe -fno-strict-aliasing mime-node.o
CC -O2 -pipe -fno-strict-aliasing crypto.o
CC -O2 -pipe -fno-strict-aliasing tag-util.o
CC -O2 -pipe -fno-strict-aliasing lib/filenames.o
CC -O2 -pipe -fno-strict-aliasing lib/string-list.o
CC -O2 -pipe -fno-strict-aliasing lib/libsha1.o
CC -O2 -pipe -fno-strict-aliasing lib/message-file.o
CC -O2 -pipe -fno-strict-aliasing lib/messages.o
CC -O2 -pipe -fno-strict-aliasing lib/sha1.o
CC -O2 -pipe -fno-strict-aliasing lib/tags.o
CXX -O2 -pipe -fno-strict-aliasing lib/database.o
In file included from lib/database.cc:21:
In file included from ./lib/database-private.h:33:
./lib/notmuch-private.h:482:8: error: visibility does not match previous 
declaration
struct visible _notmuch_string_list {
       ^
./lib/notmuch-private.h:67:33: note: expanded from macro 'visible'
# define visible __attribute__((visibility("default")))
                                ^
./lib/notmuch-private.h:52:13: note: previous attribute is here
#pragma GCC visibility push(hidden)
            ^
lib/database.cc:639:5: warning: 'g_type_init' is deprecated 
[-Wdeprecated-declarations]
    g_type_init ();
    ^
/usr/local/include/glib-2.0/gobject/gtype.h:669:23: note: 'g_type_init' 
declared here
void                  g_type_init                    (void);
                      ^
1 warning and 1 error generated.
gmake[1]: *** [lib/database.o] Error 1
gmake[1]: Leaving directory 
`/wrkdirs/usr/ports/mail/notmuch/work/notmuch-0.15.2'
*** Error code 1

Stop.
make: stopped in /usr/ports/mail/notmuch
===>  Cleaning for notmuch-0.15.2_1
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to